import { CliPluginsScaffoldCi } from "../types";
export interface GithubActionsInput {
    provider: string;
    githubAccessTokenCreate: string;
    githubAccessToken: string;
    newOrExistingRepo: "newRepo" | "existingRepo";
    newRepoName: string;
    newRepoOrgName: string;
    newRepoPrivacyType: "public" | "private";
    existingRepo: {
        name: string;
        owner: string;
    };
    userEmail: "";
}
declare const plugin: CliPluginsScaffoldCi<GithubActionsInput>;
export default plugin;
